at.chipkarte.client.base.soap

## Class Message

- Object
- - at.chipkarte.client.base.soap.Message

-     public class Message
      extends Object

  Enthält den Inhalt einer Nachricht.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppid()` ID des Message-erzeugenden Service.
    `String` | `getCategory()` Kategorie der Message.
    `String` | `getData()` Datenfeld (Betreff-Feld) für das jeweilige Service mit beliebigem Inhalt.
    `String` | `getId()` Eindeutiger Bezeichner für die Message.
    `String` | `getText()` Text der Message.
    `String` | `getTimestamp()` Zeitstempel, ab dem die Message gültig ist.
    `void` | `setAppid(String appid)`
    `void` | `setCategory(String category)`
    `void` | `setData(String data)`
    `void` | `setId(String id)`
    `void` | `setText(String text)`
    `void` | `setTimestamp(String timestamp)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### getAppid

          public String getAppid()

      ID des Message-erzeugenden Service. Mögliche Werte siehe `ServiceName`.
      Format: maximal 4-stellig
      Returns:
        Applikations-Id

    - #### setAppid

          public void setAppid(String appid)

    - #### getCategory

          public String getCategory()

      Kategorie der Message. Dieser Wert legt fest, von welchem Typ diese Message ist.

      Format: maximal 16-stellig

      Mögliche Werte:

      appid | Kategorie | Bedeutung
      abs | RUECKANTWORT | Es ist eine Rückantwort zu einer gesendeten Bewilligungsanfrage vorhanden.
      kse | ZS_KSE_MSG_ASYDL | Am e-card-Serversystem liegen Konsultationsdaten zum Abholen bereit. Welche Anfragen bereit stehen, ist über die Funktion `getKonsultationsdatenAnfragen` zu erfragen.
      base | SW_UPDATE_SCHED | Information, dass ein Software-Update bevor steht
      opc |  | Für `opc` gibt es keine vordefinierten Kategorien! Die Meldung wurde vom Operator des e-card-Serversystems gesendet.
      ebs | RUECKANTWORT | Es ist eine Rückantwort zu einem gesendeten Bewilligungsantrag vorhanden.
      ebs | EVIDENZMELDUNG | Ein Bewilligungsantrag ist in den Status ?in Evidenz? gesetzt worden.
      fus | RUECKANTWORT | Es ist eine Rückantwort zu einem gesendeten Formular vorhanden.
      fus | ÜBERTRAGUNG | Eine Anlage zu einem Formular konnte nicht übertragen werden.
      fus | INFO | Es liegt eine Infomeldung zu einem gesendeten Formular vor.

      Returns:
        Kategorie

    - #### setCategory

          public void setCategory(String category)

    - #### getId

          public String getId()

      Eindeutiger Bezeichner für die Message.
      Format: maximal 19-stellig
      Returns:
        Id

    - #### setId

          public void setId(String id)

    - #### getData

          public String getData()

      Datenfeld (Betreff-Feld) für das jeweilige Service mit beliebigem Inhalt. Der Inhalt dieses Feldes ist in MessageCategory des jeweiligen Service definiert.
      Returns:
        Daten

    - #### setData

          public void setData(String data)

    - #### getText

          public String getText()

      Text der Message.
      Format: maximal 4000-stellig
      Returns:
        Text

    - #### setText

          public void setText(String text)

    - #### getTimestamp

          public String getTimestamp()

      Zeitstempel, ab dem die Message gültig ist.
      Format: TT.MM.JJJJ hh:mm
      Returns:
        Zeitstempel

    - #### setTimestamp

          public void setTimestamp(String timestamp)